package com.ozs.mapper;

import com.ozs.entity.MsgAlarm;
import com.ozs.entity.TerminalIgnoreAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface TerminalIgnoreAlarmMapper extends BaseMapper<TerminalIgnoreAlarm> {
    /**
     * 查询终端忽略报警信息列表
     *@param terminalCode 终端编码
     */
    List<TerminalIgnoreAlarm> list(@Param("terminalCode") String terminalCode);
    /**
     * 终端忽略报警信息根据alarmId查询详情
     *@param alarmId 报警编码
     */
    MsgAlarm selectDetailByAlarmId(String alarmId);
}
